FreeMat

- Main Page
- Related Pages

LOGSPACE Logarithmically Spaced Vector

Section: Array Generation and Manipulations

# Usage

Generates a row vector with the specified number number of elements, with entries logarithmically spaced between two specified endpoints. The syntax for its use is either

        y = logspace(a,b,count)

or, for a default `count = 50`,

        y = logspace(a,b)

A third special use is when

        y = logspace(a,pi)

where it generates points between `10^a` and `pi`

Contributed by Paulo Xavier Candeias under GPL.

# Example

Here is an example of the use of `logspace`

    --> logspace(1,2,3)

    ans =
       10.0000   31.6228  100.0000